package com.deer.wms.produce.manage.dao;

import com.deer.wms.produce.manage.model.*;
import com.deer.wms.project.seed.core.mapper.Mapper;

import java.util.List;

public interface ProcessBomMapper extends Mapper<ProcessBom> {
    List<ProcessBom> findList(ProcessBomParams params);

    List<ProcessBom> findListById(ProcessBomParams params);

    Integer insertProductProcessBom(ProcessBomParams params);

    void insertProcessBom(List<ProcessBomVo> list);

    void insertProcessMaterialsBom(List<ProcessMaterialsBom> list);

    List<ProcessBom> findListByProductBom(ProcessBomParams params);

    List<ProcessBom> findListByProductBomId(ProcessBomParams params);

    List<ProcessBomDto> findListByProductNameId(ProcessBomParams params);

    void insertOrUpdate(List<ProcessBom> processBomList);

    ProductProcessBomPo findProductAndProcessBomByProdBom(Integer productBomId);

    Integer saveOrUpdate(ProcessBom processBom);
}